export default class HashTable {
  constructor() {
    this.values = {}
  }

  calculateHash(key) {
    return JSON.stringify(key, Object.keys(key).sort())
  }

  set(key, value) {
    const hash = this.calculateHash(key)
    this.values[hash] = value
  }

  get(key,equal = true) {
    const hash = this.calculateHash(key)
    // 值等
    if (equal) {
      return this.values[hash]
    } else {
    }
  }
}

